﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Cryptography.Classes;

namespace Cryptography.Handlers
{
	/// <summary>
	/// Summary description for KeyGenerator
	/// </summary>
	public class KeyGenerator : IHttpHandler
	{
		public void ProcessRequest (HttpContext context)
		{
			context.Response.ContentType = "application/json";

			var rsaKey = RsaKey.generateKeyPair();

			var json = Newtonsoft.Json.JsonConvert.SerializeObject(rsaKey);
			context.Response.Write(json);
		}

		public bool IsReusable
		{
			get
			{
				return false;
			}
		}
	}
}