﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Cryptography.Classes;

namespace Cryptography.Pages
{
	public partial class EncryptSend : System.Web.UI.Page
	{
		protected void Page_Load (object sender, EventArgs e)
		{
			this.publicKey.Value = this.Request.Form["publicKey"];
			this.privateKey.Value = this.Request.Form["privateKey"];

			var rsaKey = new RsaKey()
			{
				publicKey = this.publicKey.Value,
				privateKey = this.privateKey.Value,
			};

			this.encrypted.Value = rsaKey.encrypt(this.Request.Form["text"], usePublicKey: true);

			this.form1.Action = Common.phpBaseUrl + "Pages/EncryptReceive.php";
		}
	}
}