﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Cryptography.Classes;

namespace Cryptography.Pages
{
	public partial class HashReceive : System.Web.UI.Page
	{
		protected void Page_Load (object sender, EventArgs e)
		{
			this.publicKey.Text = this.Server.UrlDecode(this.Request.Form["publicKey"]);
			this.privateKey.Text = this.Server.UrlDecode(this.Request.Form["privateKey"]);
			var signature = this.Server.UrlDecode(this.Request.Form["signature"]);

			var rsaKey = new RsaKey()
			{
				publicKey = this.publicKey.Text,
				privateKey = this.privateKey.Text,
			};

			this.text.Text = this.Server.UrlDecode(this.Request.Form["text"]);
			rsaKey.verifyHash(this.text.Text, signature, usePublicKey: false);

			this.signature.Text = signature;
		}
	}
}