﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Cryptography.Classes;

namespace Cryptography.Pages
{
	public partial class HashSend : System.Web.UI.Page
	{
		protected void Page_Load (object sender, EventArgs e)
		{
			this.publicKey.Value = this.Request.Form["publicKey"];
			this.privateKey.Value = this.Request.Form["privateKey"];

			var rsaKey = new RsaKey()
			{
				publicKey = this.publicKey.Value,
				privateKey = this.privateKey.Value,
			};

			this.text.Value = this.Request.Form["text"];

			this.signature.Value = rsaKey.hash(this.text.Value, usePublicKey: false);

			this.form1.Action = Common.phpBaseUrl + "Pages/HashReceive.php";
		}
	}
}