﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Cryptography.Classes;

namespace Cryptography.Pages
{
	public partial class EncryptReceive : System.Web.UI.Page
	{
		protected void Page_Load (object sender, EventArgs e)
		{
			this.publicKey.Text = this.Server.UrlDecode(this.Request.Form["publicKey"]);
			this.privateKey.Text = this.Server.UrlDecode(this.Request.Form["privateKey"]);
			this.encrypted.Text = this.Server.UrlDecode(this.Request.Form["encrypted"]);

			var rsaKey = new RsaKey()
			{
				publicKey = this.publicKey.Text,
				privateKey = this.privateKey.Text,
			};

			this.text.Text = rsaKey.decrypt(this.Server.UrlDecode(this.Request.Form["encrypted"]), usePublicKey: false);
		}
	}
}